vanilla/index.html
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <link rel="stylesheet" href="style.css">
</head>

<body>
  <h2>Image Hover Overlay - modified</h2>
  <p>More refs:</p>
  <ul>
    <li><a href="https://www.w3schools.com/css/css3_images.asp" target="_blank">W3Schools - CSS Images</a></li>
    <li><a href="https://www.w3schools.com/howto/howto_css_image_overlay.asp" target="_blank">W3Schools - CSS Image
        Overlay</a></li>
    <li><a href="https://codepen.io/thumpwerks/pen/rNOaWmK" target="_blank">Codepen - buttons</a></li>
    <li><a href="https://codepen.io/jondaiello/pen/WGZNZv" target="_blank">Codepen - Gradient hover overlay</a></li>
  </ul>
  <ul class="outerContainer">
    <li class="container">
      <a href="#">
        <img class="image" src="https://www.w3schools.com/css/img_avatar.png" alt="Avatar">
        <div class="overlay"></div>
        <div class="text">Hello World</div>
      </a>
    </li>
    <li class="container">
      <a href="#">
        <img class="image" src="https://www.w3schools.com/css/img_avatar.png" alt="Avatar">
        <div class="overlay"></div>
        <div class="text">Hello World</div>
      </a>
    </li>
    <li class="container">
      <a href="#">
        <img class="image" src="https://www.w3schools.com/css/img_avatar.png" alt="Avatar">
        <div class="overlay"></div>
        <div class="text">Hello World</div>
      </a>
    </li>
  </ul>
</body>

</html>

preprocessing/index.pug
doctype html
head
  meta(charset='UTF-8')
  title Document
  link(rel='stylesheet' href='style.css')
body
  h2 Image Hover Overlay - modified
  p More refs:
  ul
    li
      a(
        href="https://www.w3schools.com/css/css3_images.asp"
        target="_blank"
      ) W3Schools - CSS Images
    li
      a(
        href="https://www.w3schools.com/howto/howto_css_image_overlay.asp"
        target="_blank"
      )  W3Schools - CSS Image Overlay
    li
      a(
        href="https://codepen.io/thumpwerks/pen/rNOaWmK"
        target="_blank"
      ) Codepen - buttons
    li
      a(
        href="https://codepen.io/jondaiello/pen/WGZNZv"
        target="_blank"
      ) Codepen - Gradient hover overlay
  ul.outerContainer
    li.container
      a(href="#")
        img.image(
          src="https://www.w3schools.com/css/img_avatar.png"
          alt="Avatar"
        )
        .overlay
        .text Hello World
    li.container
      a(href="#")
        img.image(
          src="https://www.w3schools.com/css/img_avatar.png"
          alt="Avatar"
        )
        .overlay
        .text Hello World
    li.container
      a(href="#")
        img.image(
          src="https://www.w3schools.com/css/img_avatar.png"
          alt="Avatar"
        )
        .overlay
        .text Hello World
